Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87529 - Wrong CPU clock speed calculated for 3.06 GHz CPUs
Summary: Wrong CPU clock speed calculated for 3.06 GHz CPUs
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-28 14:56 UTC by Ernst-Heinrich Klaas
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-24 16:56:24 UTC


Attachments (Terms of Use)

Description Ernst-Heinrich Klaas 2003-03-28 14:56:31 UTC
Description of problem:

On systems with 
    Intel(R) Xeon(TM) CPU 3.06GHz stepping 07
the CPU clock speed in âdmessage.outâ and â/proc/cpuinfoâ 
are calculated as  1066.0315 MHz


Version-Release number of selected component (if applicable):

Linux version 2.4.18-24.8.0smp (bhcompile@tweety.devel.redhat.com) (gcc version 
3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 SMP Fri Jan 31 06:03:47 EST 2003

How reproducible:
Every time

Steps to Reproduce:
1. Install RH 8.0 on a system with 3.06 GHz CPU
2. Reboot
3. cat /proc/cpuinfo
    
Actual results:

dmessages.out:
==============
CPU0: Intel(R) Xeon(TM) CPU 3.06GHz stepping 07 
::
..... CPU clock speed is 1066.0315 MHz.

/proc/cpuinfo:
==============
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 3.06GHz
stepping        : 7
cpu MHz         : 1066.431
cache size      : 512 KB
Physical processor ID   : 0
Number of siblings      : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 2110.20

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 3.06GHz
stepping        : 7
cpu MHz         : 1066.431
cache size      : 512 KB
Physical processor ID   : 3
Number of siblings      : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 2131.96 


Expected results:

dmessages.out:  ...CPU clock speed is 3066.0315 MHz.
/proc/cpuinfo:  cpu MHz         : 3066.431


Additional info:
Signed/unsigned problem inside calculation routine ?

Comment 1 Arjan van de Ven 2003-03-28 15:06:48 UTC
... or it measures real performace ;)

actually this is just something cosmetic. rdtsc might not be reliable in
overheated situations for example. 

Comment 2 Brian Brock 2003-06-24 16:56:24 UTC
I can't replicate this bug, all of the Xeon systems that I've tested show a cpu
MHz field that's within 5% (typically much closer) of the clock speed advertised
in the model string.  State hasn't changed in the ~90 days, closing.


Note You need to log in before you can comment on or make changes to this bug.